## rfcdiff 1.42

=== Makefile ===

tool := rfcdiff

sources += rfcdiff.pyht

include ../Makefile.common

mlchanges := $(shell sed -n "/^$(tool) ($(version).*)/,/^ -- /p" changelog | awk '{ if (line) print line "\\n"; line=$$0 }' )

upload::
	echo -e "\n\
	Hi,\n\
	\n\
	This is an automatic notification about a new $(tool) version, v$(version),\n\
	generated when doing 'make upload' for $(tool).\n\
	\n\
	Release notes:\n\
	\n\
	$(mlchanges)\n\
	\n\
	The new version is available for download here:\n\
	  http://$$(hostname).tools.ietf.org/tools/$(tool)/$(tool)-v$(version)\n\
	\n\
	Regards,\n\
	\n\
		Henrik\n\
	" | mail -s "New $(tool) release: v$(version)" henrik@levkowetz.com -c hobbes1069@gmail.com

=== debian/changelog ===
rfcdiff (1.42-1) unstable; urgency=low

  * Initial release (Closes: #661840)

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Fri, 18 Dec 2015 18:51:28 +0100

=== debian/control ===
Source: rfcdiff
Section: text
Priority: optional
Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
Build-Depends: debhelper (>= 9), help2man
Standards-Version: 3.9.6
Homepage: https://tools.ietf.org/tools/rfcdiff/index
Vcs-Git: git://anonscm.debian.org/collab-maint/rfcdiff.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/rfcdiff.git/

Package: rfcdiff
Architecture: all
Depends: gawk, wdiff, wget, ${misc:Depends}, ${shlibs:Depends}
Description: compares two internet draft files and outputs the difference
 The purpose of this program is to compare two versions of an internet-draft,
 and as output produce a diff in one of several formats:
  * side-by-side html diff
  * paged wdiff output in a text terminal
  * a text file with changebars in the left margin
  * a simple unified diff output
 .
 It can also be used to compare ordinary (non-rfc) text files.
 .
 In all cases, internet-draft headers and footers are stripped before
 generating the diff, to produce a cleaner diff.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build: debian/rfcdiff.1
	# nothing

debian/rfcdiff.1: debian/rfcdiff.1.in
	chmod +x rfcdiff
	help2man \
			--include=$< \
			--no-info \
			--name="compare RFCs or Internet Drafts or any other text files" \
			--output=$@ ./rfcdiff

override_dh_auto_test:
	# nothing

override_dh_auto_install:
	# nothing

override_dh_auto_clean:
	rm -f debian/rfcdiff.1

## rfcdiff 1.45

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,15 @@
 
 tool := rfcdiff
 
-sources += rfcdiff.pyht
+sources += rfcdiff.pyht rfcdiff.base rfcdiff.js
 
-include ../Makefile.common
+include Makefile.common
 
 mlchanges := $(shell sed -n "/^$(tool) ($(version).*)/,/^ -- /p" changelog | awk '{ if (line) print line "\\n"; line=$$0 }' )
+
+# Inline the javascript code from ekr in the distribution binary
+$(tool): $(tool).base
+	python ekr/merge.py $(tool).base $(tool).js $(tool)
 
 upload::
 	echo -e "\n\

=== debian/changelog ===
rfcdiff (1.45-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 13:36:55 +0100

rfcdiff (1.45-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Removed upstream applied patches

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 04 Apr 2016 08:01:54 +0200

rfcdiff (1.44-1) unstable; urgency=medium

  * d/rules: changed dh_auto_clean override to empty
  * Imported Upstream version 1.44
  * Standards-Version bump to 3.9.7: no changes required

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Mon, 21 Mar 2016 14:53:08 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
 Build-Depends: debhelper (>= 9), help2man
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://tools.ietf.org/tools/rfcdiff/index
-Vcs-Git: git://anonscm.debian.org/collab-maint/rfcdiff.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/rfcdiff.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/rfcdiff.git/
 
 Package: rfcdiff

=== debian/rules ===
--- 
+++ 
@@ -20,5 +20,4 @@
 	# nothing
 
 override_dh_auto_clean:
-	rm -f debian/rfcdiff.1
-
+	# nothing

=== debian/watch ===
version=3
https://tools.ietf.org/tools/rfcdiff \
.*rfcdiff-(.+)\.tgz

## rfcdiff 1.49

=== debian/changelog ===
rfcdiff (1.49-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1089132
  * Point Vcs fields to Salsa
  * Point Homepage where the old link directs to
  * Fix watch file
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add d/u/metadata
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Sat, 16 Aug 2025 14:53:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: text
 Priority: optional
 Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
-Build-Depends: debhelper (>= 9), help2man
-Standards-Version: 3.9.7
-Homepage: https://tools.ietf.org/tools/rfcdiff/index
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/rfcdiff.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/rfcdiff.git/
+Build-Depends: debhelper-compat (= 13), help2man
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian/rfcdiff
+Vcs-Git: https://salsa.debian.org/debian/rfcdiff.git
+Homepage: https://github.com/ietf-tools/rfcdiff
 
 Package: rfcdiff
 Architecture: all

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/ietf-tools/rfcdiff/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
